PUT alerts/{alert_id}
Updates the alert matching the provided alert_id.
URL Parameters
| Name | Description |
|---|---|
| alert_id | Alert identifier. Type: numeric. |
Remarks
The default context for the route is the user context. To enable customer context (if allowed for the user) use the request query parameter customer_context=1. The customer_context parameter lets you choose the set of checks you have access to in the check_ids parameter.Request example and description
curl --request PUT "https://api-asm1.apica.io/v3/alerts/334?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{ "check_id": 1, "severity": "E", "enabled": true }"
| Name | Type | Required | Description |
|---|---|---|---|
| check_id | Integer | Yes | The alert's check ID. |
| severity | String | Yes | The alert's severity |
| enabled | Boolean | No | The alert is enabled. |